let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// let url_Backend_dwinzo = `http://192.168.0.102:5000`;
export const adding3dWidgets = async (
  zoneUuid: string,
  organization: string,
  widget: {},
  projectId?: string,
  versionId?: string
  
) => {
  
  
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/V1/widget3d/save`, {
      method: "POST",
      headers: {
        Authorization: "Bearer <access_token>",
        "Content-Type": "application/json",
        token: localStorage.getItem("token") || "",
        refresh_token: localStorage.getItem("refreshToken") || "",
      },
      body: JSON.stringify({ organization, zoneUuid, widget, projectId, versionId }),
    });

    
    const newAccessToken = response.headers.get("x-access-token");
    if (newAccessToken) {
      //
      localStorage.setItem("token", newAccessToken);
    }


    if (!response.ok) {
      
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to add 3d widget");
    if (error instanceof Error) {
      
    } else {
      
    }
  }
};
